On 16/09/16 10:24, Jérémy Lal wrote:
> 
> 
> 2016-09-16 10:22 GMT+02:00 Jonas Smedegaard <d...@jones.dk
> <mailto:d...@jones.dk>>:
> 
>     Quoting Matijs van Zuijlen (2016-09-16 09:57:52)
>     > I read through bug 614907, and I think the very best solution would be
>     > for npm to ensure the correct node executable is referenced in each
>     > package's executable. I don't know how feasible that would be.
> 
>     Arguably the "very best" would be to drop npm from Debian ;-)
> 
>     More to the point, however: Do npm work at all without nodejs-legacy?
>     If not, then npm itself should be moved to contrib!
> 
> 
> Actually i believe most modules just work without nodejs-legacy, and npm
> itself
> has some uses without installing it either.

Yes, it seems it's mainly the modules that provide an executable script
that need nodejs-legacy (In my case, coffeelint).

Regards,
Matijs

Attachment: signature.asc
Description: OpenPGP digital signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to